Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025666
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2014-02-05 13:222014-02-12 18:30
ReporterpsanjuanView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchFixed in SCM revision8b7a6ede079c
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabaseOracleJava version1.6
OS VersionUbuntu 8.04.1Database version11.1.0.6.0Ant version1.7.0
Product VersionSCM revision 
Review Assigned Toshankarb
Web browserMozilla Firefox
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2013-07-30
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/1724b65a331afd098e176bd059ba6a967512ae72 [^]
Triggers an Emergency PackYes
Summary

0025666: "0" rate values are changed to the last integer while moving down in the Tax Rate window.

Description"0" rate values are changed to the last integer while moving down in the Tax Rate window, by using down arrow key.
Steps To ReproduceIn live builds main.
Open the tax rate window.
Filter by "Sales Tax" in the field "Sales/Purchase Type".
Select the first record and move down record by record with the down arrow key.

Move down until Arrendamientos 21% -21%R (cobros) and realize that the field rate of the tax rate "Entregas a Canarias, Ceuta y Melilla (%N=>0%) is 0 (see image 1 attached)
Move down and realize that "0" value is changed to 21 when the cursor reach that record (see image 2 attached).

Close and open once again the Tax Rate window and realize that the value is once again 0 until the cursor reach that record.
TagsNo tags attached.
Attached Filespng file icon image1.png [^] (107,350 bytes) 2014-02-05 13:34


png file icon image2.png [^] (104,782 bytes) 2014-02-05 13:34

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 00244033.0MP29 closedAugustoMauch When the grid calls the datasource, it should not retrieve the properties that are not shown in the grid. 

-  Notes
(0063943)
hgbot (developer)
2014-02-06 09:54

Repository: erp/devel/pi
Changeset: 8b7a6ede079c447a84031fd1c73fac4982c0b4ed
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Thu Feb 06 09:53:55 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/8b7a6ede079c447a84031fd1c73fac4982c0b4ed [^]

Fixes bug 25666: Columns are not wrongly updated when chaging rows in the grid

This issue happened when the user clicked on a record (this triggers a FIC call) and then clicked on another record before the FIC response was received. What
was happening is that the FIC response was applied on the currently selected row, not on the row that trigger the FIC call. This has been fixed by checking bef
ore the FIC response is processed if the selected row has changed.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0063950)
shankarb (developer)
2014-02-06 11:59

Code reviewed and verified in pi changeset 8b7a6ede079c.
(0064169)
hudsonbot (developer)
2014-02-12 18:30

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d1a5bb862230 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-02-05 13:22 psanjuan New Issue
2014-02-05 13:22 psanjuan Assigned To => AugustoMauch
2014-02-05 13:22 psanjuan Web browser => Mozilla Firefox
2014-02-05 13:22 psanjuan Modules => Core
2014-02-05 13:22 psanjuan Triggers an Emergency Pack => No
2014-02-05 13:33 psanjuan Web browser Mozilla Firefox => Mozilla Firefox
2014-02-05 13:33 psanjuan Steps to Reproduce Updated View Revisions
2014-02-05 13:34 psanjuan File Added: image1.png
2014-02-05 13:34 psanjuan File Added: image2.png
2014-02-05 13:35 psanjuan Web browser Mozilla Firefox => Mozilla Firefox
2014-02-05 13:35 psanjuan Priority urgent => immediate
2014-02-05 17:56 AugustoMauch Web browser Mozilla Firefox => Mozilla Firefox
2014-02-05 17:56 AugustoMauch Regression level => Production - Confirmed Stable
2014-02-05 17:56 AugustoMauch Regression date => 2013-07-30
2014-02-05 17:56 AugustoMauch Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/1724b65a331afd098e176bd059ba6a967512ae72 [^]
2014-02-05 17:56 AugustoMauch Triggers an Emergency Pack No => Yes
2014-02-05 17:59 AugustoMauch Relationship added related to 0024403
2014-02-05 18:58 AugustoMauch Issue Monitored: shankarb
2014-02-05 18:58 AugustoMauch Review Assigned To => shankarb
2014-02-05 18:58 AugustoMauch Web browser Mozilla Firefox => Mozilla Firefox
2014-02-06 09:54 hgbot Checkin
2014-02-06 09:54 hgbot Note Added: 0063943
2014-02-06 09:54 hgbot Status new => resolved
2014-02-06 09:54 hgbot Resolution open => fixed
2014-02-06 09:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8b7a6ede079c447a84031fd1c73fac4982c0b4ed [^]
2014-02-06 11:59 shankarb Note Added: 0063950
2014-02-06 11:59 shankarb Status resolved => closed
2014-02-06 11:59 shankarb Fixed in Version => 3.0MP32
2014-02-12 18:30 hudsonbot Checkin
2014-02-12 18:30 hudsonbot Note Added: 0064169


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker